<?php
/**
 * User: liuyuzhen
 * Date: 2018/6/12
 * Time: 16:48
 * Description:
 */
class CityController extends \Our\Controller_AbstractIndex {

    public function init(){
        parent::init();
    }

    public function getCityListAction(){
        if($_POST['data']['debug']==1){
            echo "开始时间:".microtime()."\r\n";
        }
        $fromWx = $this->req[\Our\NameConst::data]['fromWx'];
        $addressService = \Business\User\AddressServiceModel::getInstance();
        $cityList = $addressService->getCityList($fromWx);
        if($_POST['data']['debug']==1){
            echo "结束时间:".microtime()."\r\n";
        }
        $this->success($cityList);
    }
}